<?php
namespace Ak\Filter;

use Laminas\Filter\FilterChain;
use Laminas\ServiceManager\Factory\InvokableFactory;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Ak\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/skel
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'filters' => [
                'aliases' => [
                    'array'        => ArrayFilter::class,
                    'filterchain'  => FilterChain::class,
                    'filter_chain' => FilterChain::class,
                    'filterChain'  => FilterChain::class,
                    'FilterChain'  => FilterChain::class,
                ],

                'factories' => [
                    ArrayFilter::class => InvokableFactory::class,
                    FilterChain::class => FilterChainFactory::class,
                ],

                'initializers' => [
                    FilterManagerAwareInitializer::class,
                ],
            ],
        ];
    }
}
