<?php
namespace Ak\Filter;

use Interop\Container\ContainerInterface;
use Laminas\Filter\FilterChain;
use Laminas\Filter\FilterPluginManager;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Stvara novu instancu filter chain filtera.
 *
 * @package Ak\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/filter
 */
final class FilterChainFactory implements FactoryInterface
{
    /**
     * Stvara filter.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return FilterChain
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null): FilterChain
    {
        $plugins = $container->get(FilterPluginManager::class);

        $chain = new FilterChain($options);
        $chain->setPluginManager($plugins);

        return $chain;
    }
}
