<?php
namespace Ak\Filter;

use Interop\Container\ContainerInterface;
use Laminas\Filter\FilterPluginManager;
use Laminas\ServiceManager\Initializer\InitializerInterface;

/**
 * Injecta filter manager u pluginove koji ga trebaju.
 *
 * @package Ak\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/filter
 */
final class FilterManagerAwareInitializer implements InitializerInterface
{
    /**
     * Initialize the given instance
     *
     * @param  ContainerInterface $container
     * @param  object $instance
     * @return void
     */
    public function __invoke(ContainerInterface $container, $instance)
    {
        if ($instance instanceof FilterManagerAwareInterface) {
            $plugins = $container->get(FilterPluginManager::class);
            $instance->setFilterPluginManager($plugins);
        }
    }
}
