<?php
namespace Ak\Filter;

use Laminas\Filter\FilterPluginManager;

/**
 * Objektima koji implementiraju ovo sučelje će biti injectan FilterManager
 *
 * @package Ak\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/filter
 */
interface FilterManagerAwareInterface
{
    /**
     * Vraća filter manager.
     *
     * @return FilterPluginManager
     */
    public function getFilterPluginManager(): FilterPluginManager;

    /**
     * Postavlja filter manager.
     *
     * @param FilterPluginManager $plugins
     */
    public function setFilterPluginManager(FilterPluginManager $plugins): void;
}
