<?php
namespace Ak\Filter;

use Laminas\Filter\FilterPluginManager;
use Laminas\ServiceManager\ServiceManager;

/**
 * Osnovna implementacija.
 *
 * @package Ak\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/filter
 */
trait FilterManagerAwareTrait
{
    /** @var FilterPluginManager */
    private $filterPlugins;

    /**
     * Vraća filter manager.
     *
     * @return FilterPluginManager
     */
    public function getFilterPluginManager(): FilterPluginManager
    {
        if (null === $this->filterPlugins) {
            $this->filterPlugins = new FilterPluginManager(new ServiceManager());
        }

        return $this->filterPlugins;
    }

    /**
     * Postavlja filter manager.
     *
     * @param FilterPluginManager $plugins
     */
    public function setFilterPluginManager(FilterPluginManager $plugins): void
    {
        $this->filterPlugins = $plugins;
    }
}
