<?php
namespace AkTest\Filter;

use Ak\Filter\ConfigProvider;
use Ak\Test\AbstractTestCase as BaseAbstractTestCase;
use Laminas\Filter\FilterInterface;
use Laminas\Filter\FilterPluginManager;
use PHPUnit\Framework\MockObject\MockObject;

/**
 * Class AbstractTestCase
 *
 * @package AkTest\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/filter
 */
abstract class AbstractTestCase extends BaseAbstractTestCase
{
    /** @var array */
    protected $providers = [
        \Laminas\Filter\ConfigProvider::class,
        ConfigProvider::class,
    ];

    /**
     * @param array $config
     * @return FilterPluginManager
     */
    protected function getFilterManager(array $config = []): FilterPluginManager
    {
        $container = $this->getContainer([
            'filters' => $config,
        ]);
        return $container->get(FilterPluginManager::class);
    }

    /**
     * @return FilterInterface|MockObject
     */
    protected function getMockFilter(): FilterInterface
    {
        return $this->createMock(FilterInterface::class);
    }

    /**
     * @param string $name
     * @param array $options
     * @return FilterInterface
     */
    protected function getFilter(string $name, array $options = []): FilterInterface
    {
        $filters = $this->getFilterManager();
        return $filters->get($name, $options);
    }
}
