<?php
namespace AkTest\Filter;

use Laminas\Filter\FilterChain;

/**
 * Class FilterChainTest
 *
 * @package AkTest\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/filter
 */
final class FilterChainTest extends AbstractTestCase
{
    public function testIsRegistered()
    {
        $plugins = $this->getFilterManager();

        $this->assertContainerHasService($plugins, [
            'filterchain',
            'filter_chain',
            'filterChain',
            'FilterChain',
            FilterChain::class
        ], FilterChain::class, false);
    }

    public function testHasThePluginManagerInjected()
    {
        /** @var FilterChain $filter */
        $filter = $this->getFilter('filterchain');

        $this->assertSame($this->getFilterManager(), $filter->getPluginManager());
    }
}
